import sys
import serial

if (len(sys.argv) < 2):
	
	print "Usage: gpioread.py <PORT> <GPIONUM>\nEg: gpioread.py COM1 0"
	sys.exit(0)
else:
	portName = sys.argv[1];
	gpioNum = sys.argv[2];

#Open port for communication	
serPort = serial.Serial(portName, 19200, timeout=1)

#Send "gpio read" command
serPort.write("gpio read "+ str(gpioNum) + "\n\r")

response = serPort.read(25)

if(response[-4] == "1"):
	print "GPIO " + str(gpioNum) +" is ON"
	
elif(response[-4] == "0"):
	print "GPIO " + str(gpioNum) +" is OFF"
	
#Close the port
serPort.close()